/******************************************************************************
* File:    isr.h
* Purpose: Define interrupt service routines referenced by the vector table.
* Note: Only "vectors.c" should include this header file.
******************************************************************************/

#ifndef __ISR_H
#define __ISR_H 1


// ISR(s) are defined in your project directory.
extern void pit1_isrv(void);
extern void tsi_isr(void);
extern void rtc_isrv(void);
extern void adc1_isr(void);
extern void pdb_isr(void);
extern void vfnDMACh0ISR(void);
extern void vfnDMA_ErrorIsr(void);
extern void vfnUART_Rx_Isrv(void);
extern void cmt_isrv(void);

#undef   VECTOR_016      // 0x0000_0078 30    14     DMA              DMA Channel 14 transfer complete
#define  VECTOR_016  vfnDMACh0ISR    // 0x0000_0078 30    14     DMA              DMA Channel 14 transfer complete


#undef   VECTOR_032 
#define  VECTOR_032 vfnDMA_ErrorIsr   

#undef   VECTOR_063
#define  VECTOR_063 vfnUART_Rx_Isrv   

#undef  VECTOR_081
#define VECTOR_081 cmt_isrv

#undef  VECTOR_082
#define VECTOR_082 rtc_isrv

#undef  VECTOR_074
#define VECTOR_074 adc1_isr

#undef  VECTOR_088
#define VECTOR_088 pdb_isr

#undef  VECTOR_085
#define VECTOR_085 pit1_isrv

#undef 	VECTOR_099
#define VECTOR_099 tsi_isr

#endif  //__ISR_H

/* End of "isr.h" */
